## python3.4 3.4.0-maemo6

=== Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Top-level Makefile for Python
#
# As distributed, this file is called Makefile.pre.in; it is processed
# into the real Makefile by running the script ./configure, which
# replaces things like @spam@ with values appropriate for your system.
# This means that if you edit Makefile, your changes get lost the next
# time you run the configure script.  Ideally, you can do:
#
#	./configure
#	make
#	make test
#	make install
#
# If you have a previous version of Python installed that you don't
# want to overwrite, you can use "make altinstall" instead of "make
# install".  Refer to the "Installing" section in the README file for
# additional details.
#
# See also the section "Build instructions" in the README file.

# === Variables set by makesetup ===

MODOBJS=          Modules/_threadmodule.o  Modules/signalmodule.o  Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o  Modules/_sre.o  Modules/_codecsmodule.o  Modules/_weakref.o  Modules/_functoolsmodule.o  Modules/_operator.o  Modules/_collectionsmodule.o  Modules/itertoolsmodule.o  Modules/atexitmodule.o  Modules/_stat.o  Modules/_localemodule.o  Modules/_iomodule.o Modules/iobase.o Modules/fileio.o Modules/bytesio.o Modules/bufferedio.o Modules/textio.o Modules/stringio.o  Modules/zipimport.o  Modules/faulthandler.o  Modules/_tracemalloc.o Modules/hashtable.o  Modules/symtablemodule.o  Modules/xxsubtype.o
MODLIBS=        $(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure
VERSION=	3.4
srcdir=		.

abs_srcdir=	/home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0
abs_builddir=	/home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0


CC=		gcc -pthread
CXX=		g++ -pthread
MAINCC=		$(CC)
LINKCC=		$(PURIFY) $(MAINCC)
AR=		ar
RANLIB=		ranlib
READELF=	readelf
SOABI=		cpython-34m
LDVERSION=	$(VERSION)$(ABIFLAGS)
HGVERSION=	
HGTAG=		
HGBRANCH=	

GNULD=		yes

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh

# Use this to make a link between python$(VERSION) and python in $(BINDIR)
LN=		ln

# Portable install script (configure doesn't always guess right)
INSTALL=	/scratchbox/tools/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT= ${INSTALL}
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
# Also, making them read-only seems to be a good idea...
INSTALL_SHARED= ${INSTALL} -m 555

MKDIR_P=	/scratchbox/tools/bin/mkdir -p

MAKESETUP=      $(srcdir)/Modules/makesetup

# Compiler options
OPT=		-DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes
BASECFLAGS=	 -Wno-unused-result -Werror=declaration-after-statement
BASECPPFLAGS=	
CONFIGURE_CFLAGS=	-Wall -g -O2
CONFIGURE_CPPFLAGS=	
CONFIGURE_LDFLAGS=	
# Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
# command line to append to these values without stomping the pre-set
# values.
PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
# Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
# be able to build extension modules using the directories specified in the
# environment variables
PY_CPPFLAGS=	$(BASECPPFLAGS) -I. -IInclude -I$(srcdir)/Include $(CONFIGURE_CPPFLAGS) $(CPPFLAGS)
PY_LDFLAGS=	$(CONFIGURE_LDFLAGS) $(LDFLAGS)
NO_AS_NEEDED=	-Wl,--no-as-needed
LDLAST=		
SGI_ABI=	
CCSHARED=	-fPIC
LINKFORSHARED=	-Xlinker -export-dynamic
ARFLAGS=	rc
# Extra C flags added for building the interpreter object files.
CFLAGSFORSHARED=
# C flags used for building the interpreter object files
PY_CORE_CFLAGS=	$(PY_CFLAGS) $(PY_CPPFLAGS) $(CFLAGSFORSHARED) -DPy_BUILD_CORE


# Machine-dependent subdirectories
MACHDEP=	linux

# Multiarch directory (may be empty)
MULTIARCH=	

# Install prefix for architecture-independent files
prefix=		/home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/debian/python3/opt/python3

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# Install prefix for data files
datarootdir=    ${prefix}/share

# Expanded directories
BINDIR=		${exec_prefix}/bin
LIBDIR=		${exec_prefix}/lib
MANDIR=		${datarootdir}/man
INCLUDEDIR=	${prefix}/include
CONFINCLUDEDIR=	$(exec_prefix)/include
SCRIPTDIR=	$(prefix)/lib
ABIFLAGS=	m

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(LDVERSION)
CONFINCLUDEPY=	$(CONFINCLUDEDIR)/python$(LDVERSION)

# Symbols used for using shared libraries
SHLIB_SUFFIX=	.so
EXT_SUFFIX=	.cpython-34m.so
LDSHARED=	$(CC) -shared $(PY_LDFLAGS)
BLDSHARED=	$(CC) -shared $(PY_LDFLAGS)
LDCXXSHARED=	$(CXX) -shared
DESTSHARED=	$(BINLIBDEST)/lib-dynload

# Executable suffix (.exe on Windows and Mac OS X)
EXE=		
BUILDEXE=	

# Short name and location for Mac OS X Python framework
UNIVERSALSDK=
PYTHONFRAMEWORK=	
PYTHONFRAMEWORKDIR=	no-framework
PYTHONFRAMEWORKPREFIX=	
PYTHONFRAMEWORKINSTALLDIR= 
# Deployment target selected during configure, to be checked
# by distutils. The export statement is needed to ensure that the
# deployment target is active during build.
MACOSX_DEPLOYMENT_TARGET=
#export MACOSX_DEPLOYMENT_TARGET

# Option to install to strip binaries
STRIPFLAG=-s

# Flags to lipo to produce a 32-bit-only universal executable
LIPO_32BIT_FLAGS=

# Options to enable prebinding (for fast startup prior to Mac OS X 10.3)
OTHER_LIBTOOL_OPT=

# Environment to run shared python without installed libraries
RUNSHARED=       

# ensurepip options
ENSUREPIP=      no

# Modes for directories, executables and data files created by the
# install process.  Default to user-only-writable for all file types.
DIRMODE=	755
EXEMODE=	755
FILEMODE=	644

# configure script arguments
CONFIG_ARGS=	 '--prefix=/home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/debian/python3/opt/python3/' '--enable-ipv6' '--enable-loadable-sqlite-extensions' '--with-dbmliborder=bdb:gdbm' '--with-computed-gotos' '--without-ensurepip' '--without-system-expat' '--without-system-libmpdec' 'CFLAGS=-Wall -g -O2' 'LDFLAGS=' 'CPPFLAGS='


# Subdirectories with code
SRCDIRS= 	Parser Grammar Objects Python Modules Mac

# Other subdirectories
SUBDIRSTOO=	Include Lib Misc

# Files and directories to be distributed
CONFIGFILES=	configure configure.ac acconfig.h pyconfig.h.in Makefile.pre.in
DISTFILES=	README ChangeLog $(CONFIGFILES)
DISTDIRS=	$(SUBDIRS) $(SUBDIRSTOO) Ext-dummy
DIST=		$(DISTFILES) $(DISTDIRS)


LIBRARY=	libpython$(VERSION)$(ABIFLAGS).a
LDLIBRARY=      libpython$(VERSION)$(ABIFLAGS).a
BLDLIBRARY=     $(LDLIBRARY)
PY3LIBRARY=     
DLLLIBRARY=	
LDLIBRARYDIR=   
INSTSONAME=	$(LDLIBRARY)


LIBS=		-lpthread -ldl  -lutil
LIBM=		-lm
LIBC=		
SYSLIBS=	$(LIBM) $(LIBC)
SHLIBS=		$(LIBS)

THREADOBJ=	Python/thread.o
DLINCLDIR=	.
DYNLOADFILE=	dynload_shlib.o
MACHDEP_OBJS=	
LIBOBJDIR=	Python/
LIBOBJS=	

PYTHON=		python$(EXE)
BUILDPYTHON=	python$(BUILDEXE)

PYTHON_FOR_BUILD=./$(BUILDPYTHON) -E
_PYTHON_HOST_PLATFORM=
BUILD_GNU_TYPE=	arm-unknown-linux-gnueabi
HOST_GNU_TYPE=	arm-unknown-linux-gnueabi

# Tcl and Tk config info from --with-tcltk-includes and -libs options
TCLTK_INCLUDES=	
TCLTK_LIBS=	

# The task to run while instrument when building the profile-opt target
PROFILE_TASK=	$(srcdir)/Tools/pybench/pybench.py -n 2 --with-gc --with-syscheck
#PROFILE_TASK=	$(srcdir)/Lib/test/regrtest.py

# report files for gcov / lcov coverage report
COVERAGE_INFO=	$(abs_builddir)/coverage.info
COVERAGE_REPORT=$(abs_builddir)/lcov-report
COVERAGE_REPORT_OPTIONS=--no-branch-coverage --title "CPython lcov report"


# === Definitions added by makesetup ===

LOCALMODLIBS=                     
BASEMODLIBS=
PYTHONPATH=$(COREPYTHONPATH)
COREPYTHONPATH=$(DESTPATH)$(SITEPATH)$(TESTPATH)$(MACHDEPPATH)$(EXTRAMACHDEPPATH)
EXTRAMACHDEPPATH=
MACHDEPPATH=:plat-$(MACHDEP)
TESTPATH=
SITEPATH=
DESTPATH=
MACHDESTLIB=$(BINLIBDEST)
DESTLIB=$(LIBDEST)



##########################################################################
# Modules
MODULE_OBJS=	\
		Modules/config.o \
		Modules/getpath.o \
		Modules/main.o \
		Modules/gcmodule.o

# Used of signalmodule.o is not available
SIGNAL_OBJS=	

IO_H=		Modules/_io/_iomodule.h

IO_OBJS=	\
		Modules/_io/_iomodule.o \
		Modules/_io/iobase.o \
		Modules/_io/fileio.o \
		Modules/_io/bufferedio.o \
		Modules/_io/textio.o \
		Modules/_io/bytesio.o \
		Modules/_io/stringio.o

##########################################################################
# Grammar
GRAMMAR_H=	Include/graminit.h
GRAMMAR_C=	Python/graminit.c
GRAMMAR_INPUT=	$(srcdir)/Grammar/Grammar


LIBFFI_INCLUDEDIR=	

##########################################################################
# Parser
PGEN=		Parser/pgen$(EXE)

PSRCS=		\
		Parser/acceler.c \
		Parser/grammar1.c \
		Parser/listnode.c \
		Parser/node.c \
		Parser/parser.c \
		Parser/bitset.c \
		Parser/metagrammar.c \
		Parser/firstsets.c \
		Parser/grammar.c \
		Parser/pgen.c

POBJS=		\
		Parser/acceler.o \
		Parser/grammar1.o \
		Parser/listnode.o \
		Parser/node.o \
		Parser/parser.o \
		Parser/bitset.o \
		Parser/metagrammar.o \
		Parser/firstsets.o \
		Parser/grammar.o \
		Parser/pgen.o

PARSER_OBJS=	$(POBJS) Parser/myreadline.o Parser/parsetok.o Parser/tokenizer.o

PGSRCS=		\
		Objects/obmalloc.c \
		Python/dynamic_annotations.c \
		Python/mysnprintf.c \
		Python/pyctype.c \
		Parser/tokenizer_pgen.c \
		Parser/printgrammar.c \
		Parser/parsetok_pgen.c \
		Parser/pgenmain.c

PGOBJS=		\
		Objects/obmalloc.o \
		Python/dynamic_annotations.o \
		Python/mysnprintf.o \
		Python/pyctype.o \
		Parser/tokenizer_pgen.o \
		Parser/printgrammar.o \
		Parser/parsetok_pgen.o \
		Parser/pgenmain.o

PARSER_HEADERS= \
		$(srcdir)/Parser/parser.h \
		$(srcdir)/Include/parsetok.h \
		$(srcdir)/Parser/tokenizer.h

PGENSRCS=	$(PSRCS) $(PGSRCS)
PGENOBJS=	$(POBJS) $(PGOBJS)

##########################################################################
# AST
AST_H_DIR=	Include
AST_H=		$(AST_H_DIR)/Python-ast.h
AST_C_DIR=	Python
AST_C=		$(AST_C_DIR)/Python-ast.c
AST_ASDL=	$(srcdir)/Parser/Python.asdl

ASDLGEN_FILES=	$(srcdir)/Parser/asdl.py $(srcdir)/Parser/asdl_c.py
# XXX Note that a build now requires Python exist before the build starts
ASDLGEN=	python $(srcdir)/Parser/asdl_c.py

##########################################################################
# Python

OPCODETARGETS_H= \
		Python/opcode_targets.h

OPCODETARGETGEN= \
		$(srcdir)/Python/makeopcodetargets.py

OPCODETARGETGEN_FILES= \
		$(OPCODETARGETGEN) $(srcdir)/Lib/opcode.py

PYTHON_OBJS=	\
		Python/_warnings.o \
		Python/Python-ast.o \
		Python/asdl.o \
		Python/ast.o \
		Python/bltinmodule.o \
		Python/ceval.o \
		Python/compile.o \
		Python/codecs.o \
		Python/dynamic_annotations.o \
		Python/errors.o \
		Python/frozenmain.o \
		Python/future.o \
		Python/getargs.o \
		Python/getcompiler.o \
		Python/getcopyright.o \
		Python/getplatform.o \
		Python/getversion.o \
		Python/graminit.o \
		Python/import.o \
		Python/importdl.o \
		Python/marshal.o \
		Python/modsupport.o \
		Python/mystrtoul.o \
		Python/mysnprintf.o \
		Python/peephole.o \
		Python/pyarena.o \
		Python/pyctype.o \
		Python/pyfpe.o \
		Python/pyhash.o \
		Python/pymath.o \
		Python/pystate.o \
		Python/pythonrun.o \
		Python/pytime.o \
		Python/random.o \
		Python/structmember.o \
		Python/symtable.o \
		Python/sysmodule.o \
		Python/traceback.o \
		Python/getopt.o \
		Python/pystrcmp.o \
		Python/pystrtod.o \
		Python/dtoa.o \
		Python/formatter_unicode.o \
		Python/fileutils.o \
		Python/$(DYNLOADFILE) \
		$(LIBOBJS) \
		$(MACHDEP_OBJS) \
		$(THREADOBJ)


##########################################################################
# Objects
OBJECT_OBJS=	\
		Objects/abstract.o \
		Objects/accu.o \
		Objects/boolobject.o \
		Objects/bytes_methods.o \
		Objects/bytearrayobject.o \
		Objects/bytesobject.o \
		Objects/cellobject.o \
		Objects/classobject.o \
		Objects/codeobject.o \

=== build/temp.linux-armv7l-3.4/libffi/man/Makefile ===
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# man/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


VPATH = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/man
am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libffi
pkgincludedir = $(includedir)/libffi
pkglibdir = $(libdir)/libffi
pkglibexecdir = $(libexecdir)/libffi
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = man
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/asmcfi.m4 \
	$(top_srcdir)/m4/ax_append_flag.m4 \
	$(top_srcdir)/m4/ax_cc_maxopt.m4 \
	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_configure_args.m4 \
	$(top_srcdir)/m4/ax_enable_builddir.m4 \
	$(top_srcdir)/m4/ax_gcc_archflag.m4 \
	$(top_srcdir)/m4/ax_gcc_x86_cpuid.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/fficonfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man3dir = $(mandir)/man3
am__installdirs = "$(DESTDIR)$(man3dir)"
NROFF = nroff
MANS = $(man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/missing --run aclocal-1.12
ALLOCA = 
AMTAR = $${TAR-tar}
AM_LTLDFLAGS = 
AM_RUNTESTFLAGS = 
AR = ar
AUTOCONF = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/missing --run automake-1.12
AWK = gawk
CC = gcc -pthread
CCAS = gcc -pthread
CCASDEPMODE = depmode=gcc3
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CFLAGS =  -Wall -fexceptions
CPP = gcc -pthread -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FFI_EXEC_TRAMPOLINE_TABLE = 0
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
HAVE_LONG_DOUBLE = 0
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/linaro-4.7-2012.07-fremantle-armv7a/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libffi
PACKAGE_BUGREPORT = http://github.com/atgreen/libffi/issues
PACKAGE_NAME = libffi
PACKAGE_STRING = libffi 3.0.13
PACKAGE_TARNAME = libffi
PACKAGE_URL = 
PACKAGE_VERSION = 3.0.13
PATH_SEPARATOR = :
PRTDIAG = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TARGET = ARM
TARGETDIR = arm
VERSION = 3.0.13
abs_builddir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/build/temp.linux-armv7l-3.4/libffi/man
abs_srcdir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/man
abs_top_builddir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/build/temp.linux-armv7l-3.4/libffi
abs_top_srcdir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi
ac_ct_AR = ar
ac_ct_CC = gcc -pthread
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_enable_builddir_sed = sed
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi/man
sys_symbol_underscore = 
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
toolexecdir = $(libdir)/gcc-lib/$(target_alias)
toolexeclibdir = $(libdir)
top_build_prefix = ../
top_builddir = ..
top_srcdir = /home/rantalai/python3/upstream/paketointi/python-3.4.0/python3-3.4.0/Modules/_ctypes/libffi
AUTOMAKE_OPTIONS = foreign
EXTRA_DIST = ffi.3 ffi_call.3 ffi_prep_cif.3 ffi_prep_cif_var.3
man_MANS = ffi.3 ffi_call.3 ffi_prep_cif.3 ffi_prep_cif_var.3
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign man/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign man/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man3: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man3dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.3[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
	done; }

uninstall-man3:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man3dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.3[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \

=== debian/changelog ===
python3.4 (3.4.0-maemo6) unstable; urgency=low

  * Package name changed.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 16 Dec 2014 16:40:04 +0200

python3 (3.4.0-maemo5) unstable; urgency=low

  * (Testing autobuilder)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 16 Dec 2014 16:20:04 +0200

python3 (3.4.0-maemo4) unstable; urgency=low

  * Fixed prefix. PYTHONHOME not needed.
  * More symlinks to the /usr/bin
  * --with-threads

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 20 Apr 2014 22:31:04 +0300

python3 (3.4.0-maemo3) unstable; urgency=low

  * Add liblzma-dev

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 19 Apr 2014 18:23:04 +0300

python3 (3.4.0-maemo2) unstable; urgency=low

  * Compile more modules

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 19 Apr 2014 02:26:04 +0300

python3 (3.4.0-maemo1) unstable; urgency=low

  * From upstream (not from Debian or Ubuntu)
  * Optified
  * Fixed: HAVE_LINUX_CAN_H -> AF_CAN (http://bugs.python.org/issue10141#msg214213)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 18 Apr 2014 21:34:04 +0300

=== debian/control ===
Source: python3.4
Section: python
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5.0.51~), quilt, libreadline5-dev, libncursesw5-dev (>= 5.3), zlib1g-dev, libdb-dev, libgdbm-dev, tk8.5-dev, blt-dev (>= 2.4z), libssl-dev, sharutils, libbz2-dev, libexpat1-dev, libbluetooth3-dev [linux-any], locales [!armel !avr32 !hppa !ia64 !mipsel], libsqlite3-dev, libffi-dev (>= 3.0.5), mime-support, libgpm2 [linux-any], netbase, lsb-release, bzip2, gdb, python, xvfb, xauth, liblzma-dev
Standards-Version: 3.8.4
Homepage: http://www.python.org

Package: python3.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support
Description: Interactive high-level object-oriented language (version 3.4)
 Version 3.4 of the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 Contains everything in one package. Optified.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/opt/python3/ \
                 --enable-ipv6 \
                 --enable-loadable-sqlite-extensions \
                 --with-dbmliborder=bdb:gdbm \
                 --with-computed-gotos \
                 --without-ensurepip \
                 --without-system-expat \
                 --without-system-libmpdec \
                 --with-threads

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	make install prefix=$(CURDIR)/debian/python3.4/opt/python3/ 
	
	install -d ${CURDIR}/debian/python3.4/usr/bin
	ln -s /opt/python3/bin/python3            ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/python3.4m         ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/pyvenv             ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/pydoc3             ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/python3-config     ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/python3.4m-config  ${CURDIR}/debian/python3.4/usr/bin/
	ln -s /opt/python3/bin/2to3               ${CURDIR}/debian/python3.4/usr/bin/py2to3
	ln -s /opt/python3/bin/idle3              ${CURDIR}/debian/python3.4/usr/bin/pyidle3




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python3.4 3.4.0-maemo7

=== debian/changelog ===
python3.4 (3.4.0-maemo7) unstable; urgency=low

  * pydoc3 renamed to pydoc3.4

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 1 Jan 2015 00:31:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -60,13 +60,17 @@
 	dh_clean -k 
 	dh_installdirs
 
-	make install prefix=$(CURDIR)/debian/python3.4/opt/python3/ 
-	
+	make install prefix=$(CURDIR)/debian/python3.4/opt/python3/
+
+	#rename
+	# mv ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3 ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3.4 #are the same file
+	rm ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3 #then this is not needed
+
 	install -d ${CURDIR}/debian/python3.4/usr/bin
 	ln -s /opt/python3/bin/python3            ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3.4m         ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/pyvenv             ${CURDIR}/debian/python3.4/usr/bin/
-	ln -s /opt/python3/bin/pydoc3             ${CURDIR}/debian/python3.4/usr/bin/
+	ln -s /opt/python3/bin/pydoc3.4           ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3-config     ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3.4m-config  ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/2to3               ${CURDIR}/debian/python3.4/usr/bin/py2to3

## python3.4 3.4.0-maemo8

=== debian/changelog ===
python3.4 (3.4.0-maemo8) unstable; urgency=low

  * bin/python3 renamed to bin/python3.4

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 18 Jan 2015 21:15:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -65,9 +65,11 @@
 	#rename
 	# mv ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3 ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3.4 #are the same file
 	rm ${CURDIR}/debian/python3.4/opt/python3/bin/pydoc3 #then this is not needed
+	#mv ${CURDIR}/debian/python3.4/opt/python3/bin/python3 ${CURDIR}/debian/python3.4/opt/python3/bin/python3.4 #are the same file
+	rm ${CURDIR}/debian/python3.4/opt/python3/bin/python3
 
 	install -d ${CURDIR}/debian/python3.4/usr/bin
-	ln -s /opt/python3/bin/python3            ${CURDIR}/debian/python3.4/usr/bin/
+	ln -s /opt/python3/bin/python3.4          ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3.4m         ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/pyvenv             ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/pydoc3.4           ${CURDIR}/debian/python3.4/usr/bin/

## python3.4 3.4.0-maemo9

=== debian/changelog ===
python3.4 (3.4.0-maemo9) unstable; urgency=low

  * bin/idle3 ja bin/python3-config renamed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Feb 2015 07:37:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -68,15 +68,21 @@
 	#mv ${CURDIR}/debian/python3.4/opt/python3/bin/python3 ${CURDIR}/debian/python3.4/opt/python3/bin/python3.4 #are the same file
 	rm ${CURDIR}/debian/python3.4/opt/python3/bin/python3
 
+	 
+	#mv ${CURDIR}/debian/python3.4/opt/python3/bin/idle3 ${CURDIR}/debian/python3.4/opt/python3/bin/idle3.4 #are the same file
+	rm ${CURDIR}/debian/python3.4/opt/python3/bin/idle3
+	mv ${CURDIR}/debian/python3.4/opt/python3/bin/python3-config ${CURDIR}/debian/python3.4/opt/python3/bin/python3.4-config
+
+
 	install -d ${CURDIR}/debian/python3.4/usr/bin
 	ln -s /opt/python3/bin/python3.4          ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3.4m         ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/pyvenv             ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/pydoc3.4           ${CURDIR}/debian/python3.4/usr/bin/
-	ln -s /opt/python3/bin/python3-config     ${CURDIR}/debian/python3.4/usr/bin/
+	ln -s /opt/python3/bin/python3.4-config   ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/python3.4m-config  ${CURDIR}/debian/python3.4/usr/bin/
 	ln -s /opt/python3/bin/2to3               ${CURDIR}/debian/python3.4/usr/bin/py2to3
-	ln -s /opt/python3/bin/idle3              ${CURDIR}/debian/python3.4/usr/bin/pyidle3
+	ln -s /opt/python3/bin/idle3.4            ${CURDIR}/debian/python3.4/usr/bin/pyidle3
